using System.ComponentModel.DataAnnotations;
using WebApp.Entities;

namespace WebApp.DTOs;

// Output values in JSON file
public record class EventSummaryNoErDto(
    int EventId,
    [Required] string Organisation,
    [Required] int OrganisationId,
    [Required][StringLength(50)] string Title,
    [StringLength(500)] string Description,
    string? ImageURL,
    [Required][StringLength(100)] string Location,
    [Required] DateTime? EventDate,
    ICollection<EventSkill> EventSkills
    // ICollection<SkillSummaryDto> EventSkills
);
